Package org.apache.sysds.runtime.compress.workload

# Class WorkloadAnalyzer

java.lang.Object
org.apache.sysds.runtime.compress.workload.WorkloadAnalyzer

public class WorkloadAnalyzer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`ALLOW_INTERMEDIATE_CANDIDATES`
`static boolean`
`PRUNE_COMPRESSED_INTERMEDIATES`

## Method Summary

Modifier and Type
Method
Description
`static Map<Long,WTreeRoot>`
`getAllCandidateWorkloads(DMLProgram prog)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ALLOW_INTERMEDIATE_CANDIDATES

public static boolean ALLOW_INTERMEDIATE_CANDIDATES

### PRUNE_COMPRESSED_INTERMEDIATES

public static boolean PRUNE_COMPRESSED_INTERMEDIATES

## Method Details

### getAllCandidateWorkloads

public static Map<Long,WTreeRoot> getAllCandidateWorkloads(DMLProgram prog)